Magazine High tech

Problème de mise à jour des paquets Eeepc

Publié le 16 mars 2008 par Standart

EeepcLogo.jpg

Attention : cette astuce est réservée au eeepc sous Xandros.

Si comme moi, vous avez des problèmes d'installation lors de demandes de mise à jour des paquets du eeepc en mode console (ctrl+Alt+t) en utilisant les commandes suivantes:

 sudo apt-get update
sudo apt-get upgrade

Il se peut que vous soyez sanctionné du message suivant:

 "impossible de localiser la liste des paquets sources faire un « apt-get update » pour corriger ces problèmes de dépendance non satisfaites."

ou

 Les paquets suivants ont des dépendances non satisfaites: asus-catégories dépend: asus-3gtool(>= 1.0-7xandros1) mais il n'est pas instalable"
"Essayez « apt-get -f install » pour résoudre le problème".

évidemment, l'utilisation du "apt-get -f install" ne fonctionne pas et vous devriez avoir un message du type:

 asus-3gmpt-sfr E/var/cache/apt/archives/asus-3gtool_1.0-11_all.deb:tentative de remplacement de «/sbin/3gmpt-launch» qui appartient aussi a paquet asus-3gmpt

cela devient intéressant car on sait à présent quel paquet nous pose problème.
ça veut dire que ce blocage est dû au fait que asus-3gtool et asus-3gmpt indexent tout les deux /sbin/3gmpt-launch et que ces deux paquets ne peuvent être installés simultanément.
des problèmes de dépendances empêchent la configuration de asus-catégorie car asus-3gmpt est installé, ainsi asus-categories ne peut s'installer, ce paquet est dit "cassé" ou orphelin (donc au final ne fonctionne pas).

On va devoir faire le "ménage"...

warning.png
Attention, je n'utilise pas de clé 3G mais étant donné que l'on va supprimer un paquet y faisant référence, vous avez le risque de perdre votre configuration ou d'avoir des dysfonctionnements avec votre clé 3G par la suite. Donc à vos risuqes et périls, sinon faite bien une sauvegarde ou un backup de votre eeepc avant toutes ces manip.

On désinstaller le paquet asus-3gmpt :

 sudo aptitude remove asus-3gmpt

ou, si ça ne suffit pas, une méthode plus violente :

 sudo dpkg --purge asus-3gmpt

Suite à ça, on peut réinstaller le paquet:

 sudo aptitude install asus-3gmpt

A présent, la mise à jour devrait fonctionner en utilisant les commandes:

 sudo apt-get update
sudo apt-get upgrade

Retour à La Une de Logo Paperblog

A propos de l’auteur


Standart 2 partages Voir son profil
Voir son blog

l'auteur n'a pas encore renseigné son compte l'auteur n'a pas encore renseigné son compte l'auteur n'a pas encore renseigné son compte